CREATE	VIEW [dbo].[eWMSAutopackPallet] AS 

/*
		SELECT *  FROM eWMSAutopackPallet WITH (NOLOCK) 
		WHERE 1=1  
		AND eWMSAutopackPallet.ShipmentSSCC  =  '387999991000000022' 
		AND eWMSAutopackPallet.DeliveryDebtor  =  '               60019' 
		AND eWMSAutopackPallet.TransactionGUID  =  'FA8BEBAE-4ED6-4367-9ECE-FEDC32BFB014'

*/

SELECT 

		/* mandatory fields */
		MAX(x.ShipmentSSCC) as ShipmentSSCC
--	,	' ' + LEFT(LTRIM(RTRIM(MAX(k.verzdebnr)))+ SPACE(19),19) AS DeliveryDebtor  -- <-- use this line in Globe 401 and earlier
	,	x.DeliveryDebtor as DeliveryDebtor
	,	x.TransactionGUID
		/* free definition */
	,	MAX(o.ordernr) AS ordernr
	,	x.SSCCNumber
	,	LEFT(x.SSCCNumber, 17) AS SSCCnumberNoCheckDigit

	,	MAX(b.bedrnm) AS company_name
	,	MAX(b.adr) AS company_adr1
	,	MAX(b.adres2) AS company_adr2
	,	MAX(b.adres3) AS company_adr3
	,	MAX(b.pstcd) AS company_postalcode
	,	MAX(b.woonpl) AS company_city
	,	ISNULL(MAX(c1.oms60_0),'') AS company_country
	,	MAX(b.telnr) AS company_telephone
	,	MAX(k.del_debtor_name) AS del_debtor_name
	,	MAX(k.del_AddressLine1) AS del_Addressline1
	,	MAX(k.del_AddressLine2) AS del_Addressline2
	,	MAX(k.del_AddressLine3) AS del_Addressline3
	,	MAX(k.del_PostCode) AS del_postcode
	,	MAX(k.del_City) AS del_city
	,	MAX(c2.oms60_0) AS del_country

	,	CASE WHEN MIN(o.ID)=MAX(o.ID) then MAX(o.ID) ELSE NULL END as OrsrgID
	,	count(distinct o.artcode) as NrOfItems
	--	only show item specific info when one item in outer SSCC
	,	CASE WHEN MIN(o.artcode)=MAX(o.artcode) then MAX(o.artcode) else NULL end AS Itemcode
	,	CASE WHEN MIN(o.artcode)=MAX(o.artcode) then MAX(i.description) else NULL end AS ItemDescription	
	,	CASE WHEN MIN(o.artcode)=MAX(o.artcode) then CASE WHEN LEN(ISNULL(MAX(ia.EANCode),''))<14 then '00000000000000' else MAX(ia.eancode) END end as eanCode
	,	CASE WHEN MIN(o.artcode)=MAX(o.artcode) then CASE WHEN LEN(ISNULL(MAX(ia.EANCode),''))<14 then '0000000000000' else LEFT(MAX(ia.eancode),13) END end as EANnoCheckDigit
	,	CASE WHEN MIN(o.artcode)=MAX(o.artcode) then MAX(i.csPickitScancode) else NULL end as csPickitScancode
	,	SUM(c.Quantity) AS Quantity
	,	MAX(x.syscreated) AS syscreated
	
FROM	csPickITLabelPrinting AS x
JOIN	(select top 1 * from bedryf WITH (NOLOCK) WHERE Active=1) as b on 1=1
LEFT	JOIN CSPickITorsrg as c WITH (NOLOCK) ON c.SSCCNumber=x.SSCCNumber AND c.SSCCNumber is not null and x.SSCCNumber is not null
LEFT	JOIN orsrg AS o WITH (NOLOCK) ON o.CSPickITShipmentSSCC=x.ShipmentSSCC AND o.ID = c.OrsrgID and o.ID is not null and c.orsrgID is not null
LEFT	JOIN orkrg AS k WITH (NOLOCK) ON k.ordernr = o.ordernr and k.ordernr is not null and o.ordernr is not null
LEFT	JOIN cicmpy as d WITH (NOLOCK) ON d.debnr = k.verzdebnr and d.debnr is not null and k.verzdebnr is not null
LEFT	JOIN items AS i WITH (NOLOCK) ON i.itemcode = o.artcode and i.itemcode is not null and o.artcode is not null
LEFT	JOIN land AS c1 WITH (NOLOCK) ON c1.landcode=b.landcode and c1.landcode is not null and b.landcode is not null
LEFT	JOIN land AS c2 WITH (NOLOCK) ON c2.landcode=k.del_landcode and c2.landcode is not null and k.del_landcode is not null
LEFT	JOIN itemaccounts AS ia with (NOLOCK) ON ia.ItemCode=i.ItemCode and ia.crdnr=i.lev_crdnr and ia.ItemCode is not null and i.ItemCode is not null and ia.crdnr is not null and i.lev_crdnr is not null

GROUP	BY x.DeliveryDebtor, x.SSCCNumber, x.TransactionGUID
